KDIALOG(1)

NAME
kdialog - Show TDE dialog boxes from shell scripts

SYNOPSIS
kdialog [Qt-options] [TDE-options] [options] [arg]

DESCRIPTION
This manual page documents briefly the kdialog TDE Application. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

kdialog allows to display dialog boxes from shell scripts. The syntax is very much inspired from the dialog command (which shows text mode dialogs).

OPTIONS

--yesno text
    Question message box with yes/no buttons

--yesnocancel text
    Question message box with yes/no/cancel buttons

--warningyesno text
    Warning message box with yes/no buttons

--warningcontinuecancel text
    Warning message box with continue/cancel buttons

--warningyesnocancel text
    Warning message box with yes/no/cancel buttons

--sorry text
    'Sorry' message box

--error text
    'Error' message box

--msgbox text
    Message Box dialog

--inputbox text init
    Input Box dialog

--password text
    Password dialog

--textbox file [width] [height]
    Text Box dialog

--menu text [tag item] [tag item] ...
    Menu dialog

--checklist text [tag item status] ...
    Check List dialog

--radiolist text [tag item status] ...
    Radio List dialog

--title text
    Dialog title

--separate-output
    Return list items on separate lines (for checklist option)

  Arguments:

arg Arguments - depending on main option

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

--display displayname
    Use the X-server display displayname.

--session sessionId
    Restore the application for the given sessionId.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    tells Qt to never grab the mouse or the keyboard.

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    switches to synchronous mode for debugging.

--fn, --font fontname
    defines the application font.

--bg, --background color
    sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground color
    sets the default foreground color.

--btn,--button color
    sets the default button color.

--name name
    sets the application name.

--title title
    sets the application title (caption).

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle inputstyle
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespotandroot.

--im XIM-server
    set XIM server.

--noxim
    disable XIM.

--reverse
    mirrors the whole layout of widgets.

  TDE options:

--caption caption
    Use caption as name in the titlebar.

--icon icon
    Use icon as the application icon.

--miniicon icon
    Use icon as the icon in the titlebar.

--config filename
    Use alternative configuration file.

--dcopserver server
    Use the DCOP Server specified by server.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style style
    sets the application GUI style.

--geometry geometry
    sets the client geometry of the main widget.

AUTHOR
KDialog was written by David Faure <faure@kde.org>, Nick Thompson, Nick Thompson, Matthias Hoelzer <hoelzer@kde.org> and David Gumbel <david.guembel@gmx.net>.
Please use http://bugs.trinitydesktop.org to report bugs, do not mail the authors directly.
This manual page was prepared by Karolina Lindqvist <pgd-karolinali@algonet.se> for the Debian GNU/Linux system (but may be used by others).